#pragma once

#define BAUDRATE 19200;

class CRS232
{
public:
	// Define error codes.
	typedef enum
	{
		RS232_OK,			// OK.
		RS232_FAILED,		// Send or receive failed for undefined reason.
		} RS232_RETURN_CODE;

	void				RS232Initialise(const char comPort, int baudRate);
	RS232_RETURN_CODE	RS232Open(void);
	RS232_RETURN_CODE	RS232Close(void);
	RS232_RETURN_CODE	RS232Send(unsigned char* sendBuffer, unsigned long* sendBufferSize);
	RS232_RETURN_CODE	RS232ResetSerial(void);
};

