#include "CClientProxy1_0.h"
#include "CServer.h"
#include "CPrimaryClient.h"
#include "CProtocolUtil.h"
#include "XSynergy.h"
#include "IStream.h"
#include "CLog.h"
#include "IEventQueue.h"
#include "TMethodEventJob.h"
#include <cstring>

extern CServer* s_server;

class CServerUtil {
public:	

	CServerUtil();
	~CServerUtil();

static	CBaseClientProxy*	activeScreen();

static	bool				leaveActive();

static	SInt8				isTwoTapActive();

static	void				armTwoTap();

static	CBaseClientProxy*	mapToNeighbor(CBaseClientProxy* src, EDirection dir, SInt32 &x, SInt32& y);

static	bool				isSwitchOkay(CBaseClientProxy* neighbour, EDirection dir, SInt32 x, SInt32 y);

static	void				switchScreen(CBaseClientProxy* neighbour, SInt32 x, SInt32 y);

static	void				setActiveScreen(CBaseClientProxy* active);
};